﻿Imports System
Imports System.Web
Imports System.Web.UI
Imports System.Text
Imports System.IO
Imports System.Text.RegularExpressions
Public Class BasePageVB
    Inherits System.Web.UI.Page

    Private Const ResourceFileName As String = "Resource"

    Protected Overrides Sub Render(ByVal writer As HtmlTextWriter)
        Dim sb As StringBuilder = New StringBuilder
        Dim sw As StringWriter = New StringWriter(sb)
        Dim hWriter As HtmlTextWriter = New HtmlTextWriter(sw)
        MyBase.Render(hWriter)
        writer.Write(Me.Localize(sb.ToString))
    End Sub

    Private Function Localize(ByVal html As String) As String
        Dim matches As MatchCollection = (New Regex("Localize\(([^\))]*)\)", (RegexOptions.Singleline Or RegexOptions.Compiled)).Matches(html))
        For Each match As System.Text.RegularExpressions.Match In matches
            html = html.Replace(match.Value, GetGlobalResourceObject(ResourceFileName, match.Groups(1).Value).ToString)
        Next
        Return html
    End Function
End Class

